//Obtener datos del usuario en el Campus
function obtenerDatos () {
	
	var calcFecha = function(fecha){
		var fechaHora = new Date(fecha.replace('CEST', ''));
		return fechaHora.toLocaleDateString();
	};
	
	var calcHora = function(fecha){
		var fechaHora = new Date(fecha.replace('CEST', ''));
		return fechaHora.toLocaleTimeString();
	};
	var fechaAct = new Date();
	fechaAct = fechaAct.toLocaleDateString();
	$('#fechaIn').attr('value', fechaAct);
	
	//Salta a la pagina de busqueda desde la de inicio
	$.mobile.changePage( "#buscar", { showLoadMsg: true } );
	
	//Correo de entrada no leido
	$.getJSON(apiHost + '/mail/messages/unread')
	.done(function(data) {
		var correosHtml = "<div><h3>Bandeja de entrada: </h3></div>";
		$('#menUnr').text(data['messages'].length);
		$.each(data['messages'], function(key, val) {
			correosHtml = correosHtml +
				"<div data-role='collapsible'><h3>"
				+ calcFecha(val['date']) + "." + calcHora(val['date']) + ". " + val['subject']
				+ "</h3><div><p><b>De: </b>"+ val['from'] +"</p><p><b>CC: </b>"+ val['cc']
				+"</p><p>" + val['body'] + "</p></div></div>";
		});
		correosHtml = correosHtml + "</div>"
		$('#mensajes').append(correosHtml);
	})
	.fail(function() {
		$.mobile.changePage( "#ayuda");
	});
		
	//Eventos de la semana en curso
	$.getJSON(apiHost + '/calendar/events')
	.done(function(data) {
		var eventosHtml = "<div><h3>Eventos: </h3></div>";
		$('#eventos').text(data['events'].length)
		$.each(data['events'], function(key, val) {
			eventosHtml = eventosHtml +
				"<div data-role='collapsible'><h3>" + val['summary'] + ". "
				+ "</h3><div><p><b>Inicio: </b>"+ new Date(val['start']).toLocaleDateString()
				+"</p><p><b>Fin: </b>"+ new Date(val['end']).toLocaleDateString()
				+"</p></div></div>";
		});
		$('#citas').append(eventosHtml);
	})
	.fail(function() {
		$.mobile.changePage( "#ayuda");
	});
	
	//Eventos aulas y mensajes de foros y tablones
	$.getJSON(apiHost + '/classrooms')
	.done(function(data) {

		var items = [];	

		$.each(data['classrooms'], function(key, val) {
					
			var asign = val['title'];
			var asignCorto = val['shortTitle'];
			var asignId = val['id'];
				
			var asignaturaHtml = 
				"<li data-role='list-divider' role='heading'>" + asign + "</li>";

			$.ajaxSetup({
				async: false
			});
				
			$.getJSON(apiHost + '/classrooms/'+ asignId +'/boards', function(data){
				var boards = data['boards'];
				//El board con indice 0 se considera el tablon en el entorno de pruebas
				//para el entorno real habria que considerar el campo subtype
				var tablonUnread = boards[0]['unreadMessages'];
				var idTablon = boards[0]['id'];
				asignaturaHtml = asignaturaHtml + 
					"<li data-theme='c'> <a href='#result' data-transition='slide'>Tablon<span class='ui-li-count'>"+ tablonUnread +"</span></a></li>";

				$.getJSON(apiHost + '/classrooms/'+asignId+'/boards/'+idTablon+'/messages/unread', function(data) {
					var correosHtml = "<div><h3>"+ asignCorto +": </h3></div>";
					$.each(data['messages'], function(key, val) {
						correosHtml = correosHtml +
							"<div data-role='collapsible'><h3>"
							+ calcFecha(val['date']) + "." + calcHora(val['date']) + ". " + val['subject']
							+ "</h3><div><p><b>De: </b>"+ val['from'] +"</p><p><b>CC: </b>"+ val['cc']
							+"</p><p>" + val['body'] + "</p></div></div>";
					});
					$('#menAulas').append(correosHtml);
				});

				//El board con indice 1 se considera el foro en el entorno de pruebas
				var foroUnread = boards[1]['unreadMessages'];
				var idForo = boards[1]['id'];
				asignaturaHtml = asignaturaHtml + 
					"<li data-theme='c'> <a href='#result' data-transition='slide'>Foro<span class='ui-li-count'>"+ foroUnread +"</span></a></li>";
				$.getJSON(apiHost + '/classrooms/'+asignId+'/boards/'+idForo+'/messages/unread', function(data) {
					var correosHtml = "";
					$.each(data['messages'], function(key, val) {
						correosHtml = correosHtml +
							"<div data-role='collapsible'><h3>"
							+ calcFecha(val['date']) + "." + calcHora(val['date']) + ". " + val['subject']
							+ "</h3><div><p><b>De: </b>"+ val['from'] +"</p><p><b>CC: </b>"+ val['cc']
							+"</p><p>" + val['body'] + "</p></div></div>";
					});
					$('#menAulas').append(correosHtml);
				});
				
			});
			
			$.ajaxSetup({
				async: true
			});
		
			items.push(asignaturaHtml);
		});
	 
		$('#aulas').append(items.join('')).listview('refresh');
				
	})
	.fail(function() {
		$.mobile.changePage( "#ayuda");
	});

};

//Colapsa las listas al entrar en la pagina buscar.
$(document).on('pagebeforeshow', '#buscar', function(e, data){
	$( "#seleccion" ).children().trigger( "collapse" );
});


//Transicion desde correo->entrada a resultados
$(document).on('vclick', '#corrIn', function(){
	$('#citas').hide();
	$('#menAulas').hide();
	$('#mensajes').show();
	$('#resulHead').text('Correo');
});

//Transicion desde correo->todo a resultados
$(document).on('vclick', '#todo', function(){
	$('#citas').show();
	$('#menAulas').show();
	$('#mensajes').show();
	$('#resulHead').text('Todo');
});

//Transicion desde agenda->eventos a resultados
$(document).on('vclick', '#agendaCons', function(){
	$('#citas').show();
	$('#menAulas').hide();
	$('#mensajes').hide();
	$('#resulHead').text('Eventos');
});

//Transicion desde aulas a resultados
$(document).on('vclick', '#aulas', function(){
	$('#citas').hide();
	$('#menAulas').show();
	$('#mensajes').hide();
	$('#resulHead').text('Aulas');
});